com.zipcodewilmington.streams

## Class StreamMap

- java.lang.Object
- - com.zipcodewilmington.streams.StreamMap

-     public class StreamMap
      extends java.lang.Object

  Created by leon on 5/24/17.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamMap()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.stream.Stream<java.lang.String>` | `letters(java.lang.String someWord)`
    `static java.util.stream.Stream<java.util.stream.Stream<java.lang.String>>` | `wordsFlatMap(java.lang.String... someWords)`
    `static java.util.stream.Stream<java.util.stream.Stream<java.lang.String>>` | `wordsMap(java.lang.String... someWords)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StreamMap

          public StreamMap()

  - ### Method Detail

    - #### letters

          public static java.util.stream.Stream<java.lang.String> letters(java.lang.String someWord)

      Parameters:
        `someWord` - - word to convert to Stream
      Returns:
        - a Stream of single characters

    - #### wordsMap

          public static java.util.stream.Stream<java.util.stream.Stream<java.lang.String>> wordsMap(java.lang.String... someWords)

      Parameters:
        `someWords` - - variable amount of String arguments
      Returns:
        - a Stream of several Streams of single characters

    - #### wordsFlatMap

          public static java.util.stream.Stream<java.util.stream.Stream<java.lang.String>> wordsFlatMap(java.lang.String... someWords)